# Zabbix - Ansible Role

This role deploys, configures and updates Zabbix. You can deploy test instance using `Vagrantfile` attached to the role.

`vagrant up`
`ansible-playbook -b Playbooks/zabbix.yml`

Then you can access Zabbix from your computer on http://192.168.33.27:8080

The default login credentials for Zabbix are:
* Username: Admin
* Password: zabbix

⚠️ If mariadb is deployed on a different server than zabbix, then you have to do `mysql> set global log_bin_trust_function_creators = 1;` on your mariadb server, then deploy this role, and set it back to `mysql> set global log_bin_trust_function_creators = 0;`


## Zabbix-agent
* zabbix-agent service needs to be deployed to the container you want to monitor (set `zabbix_agent: 'true'` when you run the role) in order to be catched by zabbix-server.
* This role allows you to add your own scripts. See `#Zabbix Scripts` section in `defaults/main.yml`.


## TODO
 - Find better way than zabbix_proxy_installed: 'false' (01.08.23: it not needed anymore, but needs more tests)
 - When a script needs for example psql for lufi script, then it won't work if the needed package (example postgresql-client) is not installed on the container that zabbix-agent runs on. We could add a task in `install_agent` that installs dependencies and have `zabbix_script_deps` var.
 - It would be nice to have `userparameter_container.conf.j2` more vanilla as most of them won't work without the disroot scripts repo.


## CHANGELOG
- **15.01.2021** - Make it ready for public release
    - Create readme file
    - Create Playbook
    - Create Vagrantfile
- **01.08.23** - Fix role issues and update to v6.0
